# ComponentMetadataVersionLister

interface ComponentMetadataVersionLister : Action<T>

Interface for custom version listers. A version lister is responsible for returning the list of versions of a module which are available in a specific repository. For this, Gradle is going to call the lister once for each module it needs the list of versions. This will typically happen in case a dynamic version is requested, in which case we need to know the list of versions published for this module. It will not, however, be called for fixed version numbers.

#### Since

4.9

## Functions

execute
Link copied to clipboard
abstract fun execute(details: ComponentMetadataListerDetails)
Perform a version listing query
invoke
Link copied to clipboard
operator fun <T : Any> Action<in T>.invoke(target: T)

Enables function invocation syntax on Action references.